Get Role
curl --request GET \
--url https://api.athenahq.ai/api/v1/roles/{role_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.athenahq.ai/api/v1/roles/{role_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.athenahq.ai/api/v1/roles/{role_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"role": {
"role_id": "<string>",
"name": "Content Manager",
"slug": "content-manager",
"is_system": true,
"permissions": {},
"created_at": "<string>"
}
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Role not found"
}{
"error": "Unauthorized"
}Team Management
Get Role
Returns a single role — a system role or one of your organization’s custom roles — with its resolved permission matrix. Requires a global API key.
GET
/
api
/
v1
/
roles
/
{role_id}
Get Role
Path Parameters
The unique identifier of the role (a system role ID or a custom role ID)
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Response
Successful response with the role
A role available in your organization — a built-in system role or a custom role.
Show child attributes
Show child attributes
Was this page helpful?
⌘I